Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.io
Class AbstractSequenceInput

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.xml.XMLModule
                  |
                  +--uk.ac.man.bioinf.apps.cinema.CinemaModule
                        |
                        +--uk.ac.man.bioinf.apps.cinema.CinemaGuiModule
                              |
                              +--uk.ac.man.bioinf.apps.cinema.io.AbstractSequenceInput

All Implemented Interfaces:
  AlignmentEventProvider, CinemaActionProvider

Direct Known Subclasses:
  FileSequenceInput

public abstract class AbstractSequenceInput
extends CinemaGuiModule
implements CinemaActionProvider

This class is abstract and will be extended by any sequence input modules. It merely provides the action stuff for the menu system, and describes an abstract method run by the actionPerformed(...) and implemented by the children of this class. Created: Wed Jun 14 15:26:56 2000

Version:
  $Id: AbstractSequenceInput.java,v 1.13 2002/04/20 14:59:05 lord Exp $
Author:
  Julian Selley

Field Summary
`protected AbstractSequenceParserExceptionHandler` | `eh`

Constructor Summary
`AbstractSequenceInput()`

Method Summary
`Action[]` | `getActions()` Supplies the action for the menu system/whatever else wishes to invoke this modules action.
`String[]` | `getAvailableParsers()`
`ParserExceptionHandler` | `getExceptionHandler()` Returns the parser exception handler.
`AlignmentInputParser` | `getParser(String keyOfParser)`
`String` | `getParserDescription(String keyOfParser)`
`ModuleIdentifierList` | `getRequiredIdentifiers()` Returns the module identifiers for the required modules.
`void` | `load()` The method called for the load of this module.
`abstract SequenceAlignment` | `openAlignment()` Obtains the sequence alignment by the relevent method.
`void` | `setExceptionHandler(AbstractSequenceParserExceptionHandler exceptionHandler)` Sets the parser exception handler.

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaGuiModule
`destroy, getAlignmentFrame, getFrame, getJMenuBar, getRowHeaders, getRuler, getRulerPanel, getScrollPane, getStatusBar, getViewer, setFrameTitle`

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaModule
`addAlignmentListener, addCinemaPropertyChangeListener, addCinemaPropertyChangeListener, addVetoableAlignmentListener, clearSequenceTitleColor, fireCinemaPropertyChange, getAlignmentSelectionModel, getColorMap, getSequenceAlignment, removeAlignmentListener, removeCinemaPropertyChangeListener, removeCinemaPropertyChangeListener, removeVetoableAlignmentListener, sendStatusMessage, setAlignmentSelectionModel, setColorMap, setSequenceAlignment, setSequenceTitleColor`

Methods inherited from class uk.ac.man.bioinf.apps.xml.XMLModule
`getConfigProperties, getConfigTree`

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredModule, getRequiredModules, getVersion, hasListeners, isDestroyed, isStarted, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext, start`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eh

    protected AbstractSequenceParserExceptionHandler eh

Constructor Detail

### AbstractSequenceInput

    public AbstractSequenceInput()

Method Detail

### getAvailableParsers

    public final String[] getAvailableParsers()

### getParser

    public final AlignmentInputParser getParser(String keyOfParser)

### getParserDescription

    public final String getParserDescription(String keyOfParser)

### load

    public void load()
              throws ModuleException

  Description copied from class: `Module`
  The method called for the load of this module.

  Overrides:
    `load` in class `Module`
    `ModuleException`

### getActions

    public Action[] getActions()

  Supplies the action for the menu system/whatever else wishes to invoke this modules action.

  Specified by:
    `getActions` in interface `CinemaActionProvider`
  Returns:
    the possible actions

### openAlignment

    public abstract SequenceAlignment openAlignment()

  Obtains the sequence alignment by the relevent method.

  Returns:
    the sequence alignment

### setExceptionHandler

    public void setExceptionHandler(AbstractSequenceParserExceptionHandler exceptionHandler)

  Sets the parser exception handler.

### getExceptionHandler

    public ParserExceptionHandler getExceptionHandler()

  Returns the parser exception handler.

  Returns:
    the exception handler

### getRequiredIdentifiers

    public ModuleIdentifierList getRequiredIdentifiers()

  Description copied from class: `Module`
  Returns the module identifiers for the required modules. This places a call on getRequiredModules, which is delegated to the module context. It may require over-riding inorder to improve the efficiency of the method.

  Overrides:
    `getRequiredIdentifiers` in class `CinemaGuiModule`
  Returns:
    the required module identifiers

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD